> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/verify-in-memory-db-instance-status.md).

# Verify Status of an In-Memory DB Instance

The In-Memory DB instance will be deployed in about five minutes after the creation of your first instance. For more information about In-Memory DB instance creation, see [<mark style="color:blue;">Create an In-Memory DB Instance</mark>](/cloud/databases/in-memory-db/api/v1-api/create-in-memory-db-instance.md).

We recommend you manually verify if the request has successfully created an instance because <code class="expression">space.vars.ionos\_cloud</code> does not send notifications on instance creation. However, you can poll the API to see when the `state` switches to `AVAILABLE`. You can use the following command:

```bash
while [[ $(curl -sXGET "https://in-memory-db.de-txl.ionos.com/replicasets/${UUID}" -H "Authorization: Bearer ${TOKEN}" | jq -r .metadata.state) != "AVAILABLE" ]]; do
  sleep 5
  clear
  echo -e "Cluster status:\n"
  kg replicasets "${UUID}" -ojsonpath='{.status.conditions}' | yq -P
  echo -e "\ncluster is not available yet, waiting 5 seconds..."
done
```

## Initialize the In-Memory DB Instance

Soon after the In-Memory DB instance is created, you can establish a connection through the In-Memory DB CLI to connect it to the database. For more information, refer to the [<mark style="color:blue;">In-Memory DB documentation</mark>](https://redis.io/docs/latest/operate/rs/references/cli-utilities/redis-cli/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/verify-in-memory-db-instance-status.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
